/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:38 $
 * $Author: hachti $
 *
 * $Log: data_block_0.hh,v $
 * Revision 2.0  2007/03/26 01:00:38  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef DATA_BLOCK_0_HH
#define DATA_BLOCK_0_HH

#include <vector>
#include <string>

#include "data_block.hh"

/*!
 *\brief Class for block type (0-*).
 */
class data_block_0
  : public data_block
{
  friend tape_block * tape_block::gen_from_fd(int,void(*)(void*),
					      void(*)(void*),void*);
protected:
  data_block_0(data_block&);

public:  
  int get_subtype();
  vector<string> get_description();
};

#endif


