/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_0.hh,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef DATA_BLOCK_0_0_H
#define DATA_BLOCK_0_0_H

#include <vector>
#include <string>

#include "data_block_0_label_extractor.hh"

/*!
 *\brief Class for block type (0-0).
 */
class data_block_0_0
  : public data_block_0_label_extractor
{
  friend tape_block * tape_block::gen_from_fd(int,void(*)(void*),
					      void(*)(void*),void*);
public:
  vector<string> get_description();
  vector<string> get_exported_symbols();

protected:
  data_block_0_0(data_block_0&);

};

#endif
