/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:40 $
 * $Author: hachti $
 *
 * $Log: eot_block.hh,v $
 * Revision 2.0  2007/03/26 01:00:40  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef EOT_BLOCK_H
#define EOT_BLOCK_H

#include <string>
#include <vector>

#include "tape_block.hh"

using namespace std;

/*!
 *\brief Class representating an End of Tape block.
 */
class eot_block : public tape_block
{
  friend tape_block * tape_block::gen_from_fd(int,void(*)(void*),
					      void(*)(void*),void*);
public: // methods
  eot_block(eot_block &);
  virtual vector<string> get_description();
private:   // methods
  eot_block(tape_block &);
  eot_block();
  
}; // class eot_block


#endif
