/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:38 $
 * $Author: hachti $
 *
 * $Log: data_block.hh,v $
 * Revision 2.0  2007/03/26 01:00:38  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#ifndef DATA_BLOCK_HH
#define DATA_BLOCK_HH

#include<vector>
#include<string>

#include "tape_block.hh"

using namespace std;

/*!
 * Class representating a data tape block.
 */
class data_block
  : public tape_block
{
  friend tape_block * tape_block::gen_from_fd(int,void(*)(void*),
					      void(*)(void*),void*);
private:
  data_block(tape_block&);

public:  
  int get_type();
  int get_word_size();
  virtual vector<string> get_description();

protected:
  string extract_label(int);
};


#endif
