/******************************************************************************
 * 
 * LDC2 source code
 *
 * $Date: 2007/03/26 01:00:39 $
 * $Author: hachti $
 *
 * $Log: data_block_0_label_extractor.cpp,v $
 * Revision 2.0  2007/03/26 01:00:39  hachti
 * *** empty log message ***
 *
 *
 ******************************************************************************/
 
#include "data_block_0_label_extractor.hh"
/*!
 *\brief Specialisation constructor.
 */
data_block_0_label_extractor::data_block_0_label_extractor(data_block_0& org)
  : data_block_0(org)
{}

/*!
 *\brief Extract labels from data_block_0_* blocks
 *\return A vector containing all labels present in the block
 */
vector<string> data_block_0_label_extractor::get_labels(){
  int l_count=word_size/3-1;
  vector<string> result;
  for (int l_no=0; l_no<l_count;l_no++){
    string r1=extract_label(4+6*l_no);
    if (r1!="      ") result.insert(result.end(),r1);
  }
  return result;
}
